CMSIS-Core (Cortex-A): PL1 Physical Count register (CNTPCT)

| CMSIS-Core (Cortex-A) Version 1.2.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
PL1 Physical Count register (CNTPCT)
Core Register Access

Holds the 64-bit physical count value. More...

## Functions

__STATIC_FORCEINLINE uint64_t | __get_CNTPCT (void)
| Get CNTPCT. More...

## Description

Consider __get_CNTPCT to access this register.

Consider using Generic Physical Timer Functions for controlling the PL1 Timer instead.

## Function Documentation

__STATIC_INLINE uint64_t __get_CNTPCT | ( | void |  | ) |

This function returns the value of the 64 bits PL1 Physical Count Register (CNTPCT).

Returns
  CNTPCT Register value

This function returns the value of the PL1 Physical Count register (CNTPCT).